Subject: bug#5936: 23.1.95; fix a bug in abbrev--before-point

From: Leo <[email-masked]>
Date: Thu, 15 Apr 2010 11:15:11 +0100

On 2010-04-12 19:25 +0100, Stefan Monnier wrote:
>> If you use the :regexp property in an abbrev table, all abbrevs in that
>> table will fail except those with only one char.
>
> Not at all.  But you may get such a result if you use a naive regexp, yes.
>
>> This is because of a regexp match in abbrev--before-point which only
>> looks back one char.
>
> No, this is because the regexp you have to use must match part of the
> text *before* the abbrev.  That's why the doc for define-abbrev-table
> gives as example \<\(\w+\)\W* rather than just \(\w+\)\W*.

Thank you for the clarification.

The bug can be closed.

>         Stefan

Leo